package com.th.demo.mapping.finance;

import com.th.demo.model.finance.InvoiceNew;
import com.th.demo.model.finance.VerifyAccount;
import com.th.demo.model.finance.VerifyAccountProgress;

import java.util.List;

public interface VerifyAccountMapper {

    int insert(VerifyAccount verifyAccount);

    List<VerifyAccount> selectAccount(String queryDateFrom, String queryDateTo, String fkComponeyName, String userId, String belongId);

    int updateWriteInvocieInfo(VerifyAccount acc);

    int insertNew(InvoiceNew invoiceNew);

    List<VerifyAccount> selectInvocie(String queryDateFrom, String queryDateTo, String fkComponeyName);

    int updateRcvPayInfo(VerifyAccount acc);

    List<VerifyAccount> queryInvoiceRslt(String queryDateFrom, String queryDateTo, String fkComponeyName, String userId, String belongId);

    VerifyAccount selectByPrimaryKey(String uuid);

    List<VerifyAccountProgress> queryProgress(String queryDateFrom, String queryDateTo, String fkComponeyName, String userId, String belongId);

    int backVerifyAcc(VerifyAccount acc);

    int backInvoice(VerifyAccount acc);

    int backRcvPay(VerifyAccount acc);
}
